{% extends "layouts/base.html" %}

{% block title %} Sala de situación {% endblock %} 

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
<style>
.two-digits-float {
  font-size:75%;
};

</style>


{% endblock stylesheets %}

{% block content %}
    {% if 'identified' in session and session['identified']%}
    <div class="content">
        <div class="panel-header bg-primary-gradient">
            <div class="page-inner py-5">
                <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row">
                    <div>
                        <h2 class="text-white pb-2 fw-bold">Población</h2>
                        <h5 class="text-white op-7 mb-2">Resumen</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="page-inner mt--5">
            <div class="row mt--2">
                <div class="col-md-11">
                    <div class="card full-height">
                        <div class="card-body">
                            <div class="card-title">Carga de turnos ultima semana</div>
                            <div class="row py-3">
                                <div class="col-md-4 d-flex flex-column justify-content-around">
                                    <div>
                                        <h6 class="fw-bold text-uppercase text-success op-8">Población registrada esta semana</h6>
                                        <h3 class="fw-bold">{{ population['this_week_new_patients'] }} </h3>
                                    </div>
                                    <div>
                                        <h6 class="fw-bold text-uppercase text-danger op-8">Total población registrada</h6>
                                        <h3 class="fw-bold">{{ population['total_population'] }} </h3>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div id="chart-container">
                                        <canvas id="agePopulationPiramid" width="100" height="100"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
   {% endif %}
{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

    <script>
        // resumen de citas
        var population = {{ population | tojson }};

        var agePopulationPiramid = document.getElementById('agePopulationPiramid').getContext('2d');

        var myAgePopulationPiramid = new Chart(agePopulationPiramid, {
            type: "horizontalBar",
            data: {
                labels: population['range'],
                datasets : [
                    {
                    label: "Masculino",
                    backgroundColor: "#00ff27",
                    data: population['masculine'],
                    },
                    {
                    label: "Femenino",
                    backgroundColor: "#009eff",
                    data: population['femenine'],
                    },
                    {
                    label: "Total",
                    backgroundColor: "#009e00",
                    data: population['total'],
                    },
                ],
            },
            options: {
                title: {
                    display: true,
                    text: "Piramide poblacional",
                },
                responsive: true,
                legend: {
                    position: "bottom",
                },
                scales: {
                    xAxes: [
                        {
                        stacked: false,
                        ticks: {
                            beginAtZero: true,
                            },
                        },
                    ],
                    yAxes: [
                        {
                        stacked: true,
                        ticks: {
                            beginAtZero: true,
                            },
                        position: "left",
                        },
                    ],
                },
            },
        });

    </script>

{% endblock javascripts %}
